aboutsummaryrefslogtreecommitdiff
path: root/tests/tests2/Makefile
diff options
context:
space:
mode:
authorThomas Preud'homme <robotux@celest.fr>2014-03-25 20:54:19 +0800
committerThomas Preud'homme <robotux@celest.fr>2014-03-25 20:54:19 +0800
commitf1f45a47ef1c58e52a9599026ef666affc991b44 (patch)
tree7717cd7ac76274b0cd3f797d60efaf62182dae6f /tests/tests2/Makefile
parent6f6ed8acc795b8f3367b46eed7b78f4f0a4584ff (diff)
downloadtinycc-f1f45a47ef1c58e52a9599026ef666affc991b44.tar.gz
tinycc-f1f45a47ef1c58e52a9599026ef666affc991b44.tar.bz2
Add test for previous commit
* Adapt tests2 Makefile to support testing tcc error reporting * Add test for previous commit
Diffstat (limited to 'tests/tests2/Makefile')
-rw-r--r--tests/tests2/Makefile10
1 files changed, 6 insertions, 4 deletions
diff --git a/tests/tests2/Makefile b/tests/tests2/Makefile
index 51dc38d..c1bf5e6 100644
--- a/tests/tests2/Makefile
+++ b/tests/tests2/Makefile
@@ -67,7 +67,9 @@ TESTS = \
51_static.test \
52_unnamed_enum.test \
54_goto.test \
- 55_lshift_type.test
+ 55_lshift_type.test \
+ 56_btype_excess-1.test \
+ 57_btype_excess-2.test
# 30_hanoi.test -- seg fault in the code, gcc as well
# 34_array_assignment.test -- array assignment is not in C standard
@@ -84,9 +86,9 @@ endif
%.test: %.c %.expect
@echo Test: $*...
@if [ "x`echo $* | grep args`" != "x" ]; \
- then $(TCC) $< -norunsrc -run $(notdir $<) - arg1 arg2 arg3 arg4 >$*.output; \
- else $(TCC) -run $< >$*.output; \
- fi
+ then $(TCC) $< -norunsrc -run $(notdir $<) - arg1 arg2 arg3 arg4 >$*.output 2>&1; \
+ else $(TCC) -run $< >$*.output 2>&1; \
+ fi || true
@if diff -bu $(<:.c=.expect) $*.output ; \
then rm -f $*.output; \
else exit 1; \